Subject: Report od bugs

From: Kaitao Lai <[email-masked]>
Date: Thu, 29 Aug 2013 06:01:20 +0000

Dear Sir/Madam,

I am writing this email to report a bug from od command. I am working in bioinformatics research filed, and currently I am trying to convert phred scores from fastq format file to Ascii values, and met weird things. For example, when I try to convert 100 characters into ASCII values, if the last 30 characters are the same, it only return part of values, NOT the complete values.
The example is listed below:
If there is very long poly-# string, then below 100 characters only return 84 ASCII values.

$ echo '=:?D+AAB<B?DCAFEBAF?GHIBGFGCDGBGAFG8CF?F?D=DG?BFHG=@77C#############################################' | od -An -t dC
   61   58   63   68   43   65   65   66   60   66   63   68   67   65   70   69
   66   65   70   63   71   72   73   66   71   70   71   67   68   71   66   71
   65   70   71   56   67   70   63   70   63   68   61   68   71   63   66   70
   72   71   61   64   55   55   67   35   35   35   35   35   35   35   35   35
   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35
*
   35   35   35   35   10

If I changed the last poly-# with one different character, it can return the full 100 ASCII values. Please see below:

$ echo '=:?D+AAB<B?DCAFEBAF?GHIBGFGCDGBGAFG8CF?F?D=DG?BFHG=@77C######################A######################' | od -An -t dC
   61   58   63   68   43   65   65   66   60   66   63   68   67   65   70   69
   66   65   70   63   71   72   73   66   71   70   71   67   68   71   66   71
   65   70   71   56   67   70   63   70   63   68   61   68   71   63   66   70
   72   71   61   64   55   55   67   35   35   35   35   35   35   35   35   35
   35   35   35   35   35   35   35   35   35   35   35   35   35   65   35   35
   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35
   35   35   35   35   10

Above command is running in Ubuntu environment. I am looking forward to your reply.

Cheers,
Kaitao Lai